// Wrapper between the functions written for the book and the
// drawing functions that are part of the public domain San Angles application


#include <OpenGLES/ES1/gl.h>
#include <OpenGLES/ES1/glext.h>

#include <math.h>
#include <time.h>
#include <sys/time.h>
#include <stdio.h>

#include "app.h"

static int ww,hh;
static int msec_base,msec_curr, sec_base,sec_curr;

void drawObject(void){
	long dt;
    struct timeval tv;
    if(gettimeofday(&tv, NULL) != 0) return;
	sec_curr=(long)(tv.tv_sec);
    msec_curr = (long)(tv.tv_usec / 1000);
	dt = (sec_curr-sec_base)*1000 + (msec_curr-msec_base);
	//fprintf(stderr,"%d %d - time %d %d  start time %d  dt=%ld\n",ww,hh,sec_curr,msec_curr,msec_base,dt);	
	appRender(dt,ww,hh);
	return;
}

void setupView(GLfloat width, GLfloat height){
    struct timeval tv;
    if(gettimeofday(&tv, NULL) != 0) return;
	sec_base=(long)(tv.tv_sec);
    msec_base = (long)(tv.tv_usec / 1000);
	ww=width;
	hh=height;
	appInit();
	gAppAlive=1;
	fprintf(stderr,"Setup complete\n");
	return;
}	

void closeView(void){
	appDeinit();
	fprintf(stderr,"Closing down\n");
}
